﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable table = new DataTable("SomeData");
            table.Columns.Add("Name", typeof(string));
            table.Columns.Add("Surname", typeof(string));

            DataRow row1 = table.NewRow();
            row1["Name"] = "Mark";
            row1["Surname"] = "White";
            table.Rows.Add(row1);
            DataRow row2 = table.NewRow();
            row2["Name"] = "Robert";
            row2["Surname"] = "Black";
            table.Rows.Add(row2);
            DataRow row3 = table.NewRow();
            row3["Name"] = "Lara";
            row3["Surname"] = "Green";
            table.Rows.Add(row3);

            this.ultraGrid1.DataSource = table;

            this.ultraGrid1.Dock = DockStyle.Fill;
            this.ultraGrid1.DisplayLayout.GroupByBox.Hidden = true;
            this.ultraGrid1.DisplayLayout.LoadStyle = Infragistics.Win.UltraWinGrid.LoadStyle.LoadOnDemand;
            this.ultraGrid1.DisplayLayout.Override.AllowAddNew = Infragistics.Win.UltraWinGrid.AllowAddNew.No;
            this.ultraGrid1.DisplayLayout.Override.AllowDelete = Infragistics.Win.DefaultableBoolean.False;
            this.ultraGrid1.DisplayLayout.Override.AllowRowFiltering = Infragistics.Win.DefaultableBoolean.True;
            this.ultraGrid1.DisplayLayout.Override.AllowUpdate = Infragistics.Win.DefaultableBoolean.False;
            this.ultraGrid1.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
            this.ultraGrid1.DisplayLayout.Override.SelectTypeCell = Infragistics.Win.UltraWinGrid.SelectType.Default;
            this.ultraGrid1.DisplayLayout.Override.SelectTypeCol = Infragistics.Win.UltraWinGrid.SelectType.None;
            this.ultraGrid1.DisplayLayout.Override.CellClickAction = CellClickAction.CellSelect;
            this.ultraGrid1.DisplayLayout.Override.RowSizing = Infragistics.Win.UltraWinGrid.RowSizing.AutoFree;
            this.ultraGrid1.DisplayLayout.Override.CellMultiLine = DefaultableBoolean.True;
            this.ultraGrid1.DisplayLayout.Override.RowSizingAutoMaxLines = 10;
            this.ultraGrid1.DisplayLayout.RowScrollRegions[0].Height = 100;
            
            
            this.ultraGrid1.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(ultraGrid1_InitializeLayout);
        }

        void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            //added this line to avoid row selection on clicking border
            e.Layout.Bands[0].RowLayoutStyle = RowLayoutStyle.ColumnLayout;

            // THIS LINE SEEMS TO SORT NO EFFECTS !!!!!!!!!!!!!!
            e.Layout.Override.RowSizingArea = RowSizingArea.RowBordersOnly;
            
        }
    }
}
